package chapter7;

import java.io.File;

public class Example01 {
    public static void main(String[] args) {
        /**
         * Step 1 创建普通文件
         */
        File file1 = new File("out/chapter7/file1.txt");
        if (file1.exists()) {
            // 如果文件存在就删除
            System.out.println("文件file1.txt存在");
            file1.delete();
            System.out.println("文件file1.txt已删除");
        } else {
            // 如果文件不存在就创建
            System.out.println("文件file1.txt不存在");

            try {
                file1.createNewFile();
                System.out.println("文件file1.txt已创建");
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        System.out.println("\n");

        /**
         * Step 2 创建目录
         */
        File parent = file1.getParentFile();
        if (! parent.exists()) {
            // 如果父目录不存在就创建
            System.out.println("父目录不存在");
            parent.mkdirs();
            System.out.println("父目录已创建");
        }

        if (file1.exists()) {
            // 如果文件存在就删除
            System.out.println("文件存在");
            file1.delete();
            System.out.println("文件已删除");
        } else {
            // 如果文件不存在就创建
            System.out.println("文件不存在");
            try {
                file1.createNewFile();
                System.out.println("文件已创建");
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

    }
}
